org.richfaces.fragment.hotkey

## Interface Hotkey

- All Known Implementing Classes:
    RichFacesHotkey

      public interface Hotkey

  Author:
    Jiri Stefek

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `invoke()` Invokes the hotkey on an element which is specified by selector attribute of hotkey, when the selector is empty, then the hotkey will be invoked on `html` element.
    `void` | `invoke(org.openqa.selenium.WebElement element)` Invokes the hotkey on a specified element.
    `void` | `setHotkey(String hotkey)` Sets the hotkey which will be invoked
    `void` | `setSelector(String selector)` Sets the JQuery selector, by which the element on which the hotkey will be invoked, will be found.

- - ### Method Detail

    - #### invoke

          void invoke()

      Invokes the hotkey on an element which is specified by selector attribute of hotkey, when the selector is empty, then the hotkey will be invoked on `html` element.
      See Also:
        `setHotkey(java.lang.String)`, `setSelector(java.lang.String)`

    - #### invoke

          void invoke(org.openqa.selenium.WebElement element)

      Invokes the hotkey on a specified element.
      Parameters:
        `element` - element on which the hotkey will be invoked. Element cannot be null.
      Throws:
        `IllegalArgumentException` - if you have not set hotkey correctly
      See Also:
        `setHotkey(java.lang.String)`

    - #### setHotkey

          void setHotkey(String hotkey)

      Sets the hotkey which will be invoked
      Parameters:
        `hotkey` - key sequence which will be invoked, keys are separated with '+' sign and are in lowercase. For example: 'alt+x'.
      Throws:
        `IllegalArgumentException` - if the given `hotkey` is null, or empty

    - #### setSelector

          void setSelector(String selector)

      Sets the JQuery selector, by which the element on which the hotkey will be invoked, will be found.
      Parameters:
        `selector` - JQuery selector to locate element on which the hotkey will be applied
      Throws:
        `IllegalArgumentException` - if the given `selector` is null, or empty

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.